clc
clear all

%网格获取
model=mphload('demo.mph');
[~, m2]=mphmeshstats(model);

Nodes=m2.vertex';%节点坐标

Elements=m2.elem{2}+1;
Elements = sort(Elements);%网格索引

domain=m2.elementity{2};%区域

edgeflag=m2.elementity{1};%边界标记
NbrEdge=max(size(edgeflag));%边界数

%物理参数
lam0=1;
epsilonr=1;
mur=1;

%矩阵组装
[A,b,EdgesOfElements]=FemAssemble(Nodes,Elements,domain,NbrEdge,lam0,epsilonr,mur,1);

%求解
Et=linsolve(A,b);

%计算Ex Ey
[Ex,Ey]=GetExEy(Nodes,Elements,EdgesOfElements,Et);

%绘制 网格及场图
% plotTri(Nodes,Elements');
plotEt(Nodes,Elements',Ex,Ey,0);